Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class ComponentIdentificationImpl

    java.lang.Object
      org.eclipse.hyades.logging.events.ComponentIdentificationImpl

All Implemented Interfaces:
  java.lang.Cloneable, IComponentIdentification, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class ComponentIdentificationImpl
extends java.lang.Object
implements IComponentIdentification, java.io.Serializable, java.lang.Cloneable

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" In problem reporting there are two general categories of components that should be considered for problem diagnosis, the component observing and reporting the situation (reporter), and the actual component that is experiencing the situation (affected). Component Identification provides a collection of attributes required to uniquely identify a component. The same data is used to identify both the component that is reporting an event or situation and the component that is affected or experiencing the situation. In some cases, these components will be the same. For example, in a typical IT environment, commonly, the activities of applications running in that environment are often monitored using events received or collected from the applications via management agents or adapters. Example 1: Consider the case where a WebSphere application, called myWebApp, times out on a table query due to a DB2 server problem that is located on a remote system. The web app then issues an event indicating the failure situation. In this case, myWebApp is the 'affected' or the 'source' component. Example 2: Consider a case where there is application X running on a Windows server. The application encounters an error and adds an entry to the Widows error log. Then there is a separate application (ie: an adapter) that reads messages from the error log and generates a common base event and submits it. In this case the 'affected' or the 'source' of the event is the application X and the reporting component is the adapter that generated and submitted the event.

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `IComponentIdentification`, Serialized Form

Field Summary
`protected java.lang.String` | `application` Deprecated.
`protected java.lang.String` | `component` Deprecated.
`protected java.lang.String` | `componentIdType` Deprecated.
`protected java.lang.String` | `componentType` Deprecated.
`protected java.lang.String` | `executionEnvironment` Deprecated.
`protected java.lang.String` | `instanceId` Deprecated.
`protected java.lang.String` | `location` Deprecated. Fields.
`protected java.lang.String` | `locationType` Deprecated.
`protected java.lang.String` | `processId` Deprecated.
`protected java.lang.String` | `subComponent` Deprecated.
`protected java.lang.String` | `threadId` Deprecated.

Fields inherited from interface org.eclipse.hyades.logging.events.IComponentIdentification
`COMPONENT_ID_TYPE_APPLICATION, COMPONENT_ID_TYPE_DEVICE_NAME, COMPONENT_ID_TYPE_PROCESS, COMPONENT_ID_TYPE_PRODUCT_NAME, COMPONENT_ID_TYPE_SERVICE_NAME, COMPONENT_ID_TYPE_SYSTEM_NAME, COMPONENT_ID_TYPE_UNKNOWN, LOCATION_TYPE_DCC, LOCATION_TYPE_DEVICE_NAME, LOCATION_TYPE_DIAL, LOCATION_TYPE_E_164, LOCATION_TYPE_FQ_HOSTNAME, LOCATION_TYPE_HID, LOCATION_TYPE_HOSTNAME, LOCATION_TYPE_HWA, LOCATION_TYPE_ICD, LOCATION_TYPE_IPV4, LOCATION_TYPE_IPV6, LOCATION_TYPE_IPX, LOCATION_TYPE_ISDN, LOCATION_TYPE_NWA, LOCATION_TYPE_OID_OSI, LOCATION_TYPE_SNA, LOCATION_TYPE_UNKNOWN, LOCATION_TYPE_X25`

Constructor Summary
`protected` | `ComponentIdentificationImpl()` Deprecated. Constructor for ComponentIdentificationImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different objects are equal.
`java.lang.String` | `getApplication()` Deprecated. Returns the application.
`java.lang.String` | `getComponent()` Deprecated. Returns the component.
`java.lang.String` | `getComponentIdType()` Deprecated. Returns the componentIdType.
`java.lang.String` | `getComponentType()` Deprecated. Returns the componentType.
`java.lang.String` | `getExecutionEnvironment()` Deprecated. Returns the executionEnvironment.
`java.lang.String` | `getInstanceId()` Deprecated. Returns the instanceId.
`java.lang.String` | `getLocation()` Deprecated. Returns the location.
`java.lang.String` | `getLocationType()` Deprecated. Returns the locationType.
`java.lang.String` | `getProcessId()` Deprecated. Returns the processId.
`java.lang.String` | `getSubComponent()` Deprecated. Returns the subComponent.
`java.lang.String` | `getThreadId()` Deprecated. Returns the threadId.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g.
`void` | `setApplication(java.lang.String application)` Deprecated. Sets the application.
`void` | `setComponent(java.lang.String component)` Deprecated. Sets the component.
`void` | `setComponentIdType(java.lang.String componentIdType)` Deprecated. Sets the componentIdType.
`void` | `setComponentType(java.lang.String componentType)` Deprecated. Sets the componentType.
`void` | `setExecutionEnvironment(java.lang.String executionEnvironment)` Deprecated. Sets the executionEnvironment.
`void` | `setInstanceId(java.lang.String instanceId)` Deprecated. Sets the instanceId.
`void` | `setLocation(java.lang.String location)` Deprecated. Sets the location.
`void` | `setLocationType(java.lang.String locationType)` Deprecated. Sets the locationType.
`void` | `setProcessId(java.lang.String processId)` Deprecated. Sets the processId.
`void` | `setSubComponent(java.lang.String subComponent)` Deprecated. Sets the subComponent.
`void` | `setThreadId(java.lang.String threadId)` Deprecated. Sets the threadId.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    protected java.lang.String location

  Deprecated.
  Fields.

### locationType

    protected java.lang.String locationType

  Deprecated.

### application

    protected java.lang.String application

  Deprecated.

### executionEnvironment

    protected java.lang.String executionEnvironment

  Deprecated.

### component

    protected java.lang.String component

  Deprecated.

### subComponent

    protected java.lang.String subComponent

  Deprecated.

### componentIdType

    protected java.lang.String componentIdType

  Deprecated.

### instanceId

    protected java.lang.String instanceId

  Deprecated.

### processId

    protected java.lang.String processId

  Deprecated.

### threadId

    protected java.lang.String threadId

  Deprecated.

### componentType

    protected java.lang.String componentType

  Deprecated.

Constructor Detail

### ComponentIdentificationImpl

    protected ComponentIdentificationImpl()

  Deprecated.
  Constructor for ComponentIdentificationImpl.

Method Detail

### getApplication

    public java.lang.String getApplication()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the application. The name of the application (e.g, myWebApp). This is an optional property. The application version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for the application name MUST not exceed 255 bytes.

  Specified by:
    `getApplication` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getApplication()`

### getComponent

    public java.lang.String getComponent()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the component. Specifies the logical identity of a component. This property MUST contain the name of a particular application, product, or subsystem (e.g., IBM DB2# V7.1). This value SHOULD be unique within the scope specified by the location. The component version information may be appended to the end of the component separated by a # character. This is a REQUIRED property. The maximum string length for the component name MUST not exceed 255 bytes.

  Specified by:
    `getComponent` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getComponent()`

### getExecutionEnvironment

    public java.lang.String getExecutionEnvironment()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the executionEnvironment. This property identifies the immediate environment that an application is running in. For example, a WebSphere Application Server name: cell:node:server. The executionEnvironment version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for executionEnvironment MUST not exceed 255 bytes.

  Specified by:
    `getExecutionEnvironment` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getExecutionEnvironment()`

### getInstanceId

    public java.lang.String getInstanceId()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the instanceId. Specifies a handle or identifier for the instance of the component that is specified by the component property i.e., Grid Service Handle(GSH) and EJBHandle. This is an OPTIONAL property. The maximum string length for instanceId MUST not exceed 128 bytes.

  Specified by:
    `getInstanceId` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getInstanceId()`

### getLocation

    public java.lang.String getLocation()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the location. Specifies the physical address corresponding to the location of a component. For example, hostname, IP address, or VTAM LU. The format of the value of the location is specified by the locationType property. The preferred value is a fully qualified hostname. This value should be unique within the network capable of raising events to a specified receiver. For example, if an adapter were monitoring a router, this attribute would contain the IP address of the machine where the adapter resides, not the IP address of the router that is having the problem. This is a REQUIRED property. The maximum string length for location MUST not exceed 255 bytes.

  Specified by:
    `getLocation` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getLocation()`

### getLocationType

    public java.lang.String getLocationType()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the locationType. Specifies the format and meaning of the value in the location property. The well-known reserved keywords for this property are: 1. Unknown 2. IPV4 3. IPV6 4. NWA 5. ISDN 6. ICD 7. OID/OSI 8. Dial 9. HWA 10. HID 11. X25 12. DCC 13. SNA 14. IPX 15. E.164 16. Hostname 17. FQHostname 18. Devicename This is a REQUIRED property. The maximum string length for locationType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Specified by:
    `getLocationType` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getLocationType()`

### getProcessId

    public java.lang.String getProcessId()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the processId. This property identifies the process ID of the running component or subcomponent that generated the event. This is an OPTIONAL property and there is no default value. The maximum string length for processId MUST not exceed 64 bytes.

  Specified by:
    `getProcessId` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getProcessId()`

### getSubComponent

    public java.lang.String getSubComponent()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the subComponent. Specifies a further delineation for the logical component property of the event. It SHOULD contain the identity of the subcomponent of the component property. This property can be one of the various parts of an application or OS resource e.g., a module name, a class name, a class and method name. It should be the most granular definition specified in the event. The subcomponent version information may be appended to the end of the subcomponent separated by a # character. This is a REQUIRED property. The maximum string length for the subComponent name MUST not exceed 255 bytes.

  Specified by:
    `getSubComponent` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getSubComponent()`

### getThreadId

    public java.lang.String getThreadId()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the threadId. This property identifies the thread ID of the component or subcomponent that generated the event. This value changes with every new thread spawned by the process identified by the processId. This is an OPTIONAL property and there is no default value. The maximum string length for threadId MUST not exceed 64 bytes.

  Specified by:
    `getThreadId` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getThreadId()`

### getComponentIdType

    public java.lang.String getComponentIdType()

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Returns the componentIdType. Specifies the format and meaning of the component identified by this componentIdentification. The nonexclusive reserved keywords for this property are: 1. ProductName 2. DeviceName 3. SystemName 4. ServiceName 5. Process 6. Application 7. Unknown This is a REQUIRED property. The maximum string length for componentIdType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Specified by:
    `getComponentIdType` in interface `IComponentIdentification`
  Returns:
    String
  See Also:
    `IComponentIdentification.getComponentIdType()`

### getComponentType

    public java.lang.String getComponentType()

  Deprecated.
  Returns the componentType. The componentType is a well-defined name that is used to characterize all instances of a given kind of component. This property is REQUIRED property. The maximum string length for componentType MUST NOT exceed 512 characters.

  Specified by:
    `getComponentType` in interface `IComponentIdentification`
  Returns:
    String The returned componentType.
  Since:
    1.0.1
  See Also:
    `IComponentIdentification.getComponentType()`

### setApplication

    public void setApplication(java.lang.String application)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the application. The name of the application (e.g, myWebApp). This is an optional property. The application version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for the application name MUST not exceed 255 bytes.

  Specified by:
    `setApplication` in interface `IComponentIdentification`
  Parameters:
    `application` - The application to set
  See Also:
    `IComponentIdentification.setApplication(String)`

### setComponent

    public void setComponent(java.lang.String component)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the component. Specifies the logical identity of a component. This property MUST contain the name of a particular application, product, or subsystem (e.g., IBM DB2# V7.1). This value SHOULD be unique within the scope specified by the location. The component version information may be appended to the end of the component separated by a # character. This is a REQUIRED property. The maximum string length for the component name MUST not exceed 255 bytes.

  Specified by:
    `setComponent` in interface `IComponentIdentification`
  Parameters:
    `component` - The component to set
  See Also:
    `IComponentIdentification.setComponent(String)`

### setExecutionEnvironment

    public void setExecutionEnvironment(java.lang.String executionEnvironment)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the executionEnvironment. This property identifies the immediate environment that an application is running in. For example, a WebSphere Application Server name: cell:node:server. The executionEnvironment version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for executionEnvironment MUST not exceed 255 bytes.

  Specified by:
    `setExecutionEnvironment` in interface `IComponentIdentification`
  Parameters:
    `executionEnvironment` - The executionEnvironment to set
  See Also:
    `IComponentIdentification.setExecutionEnvironment(String)`

### setInstanceId

    public void setInstanceId(java.lang.String instanceId)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the instanceId. Specifies a handle or identifier for the instance of the component that is specified by the component property i.e., Grid Service Handle(GSH) and EJBHandle. This is an OPTIONAL property. The maximum string length for instanceId MUST not exceed 128 bytes.

  Specified by:
    `setInstanceId` in interface `IComponentIdentification`
  Parameters:
    `instanceId` - The instanceId to set
  See Also:
    `IComponentIdentification.setInstanceId(String)`

### setLocation

    public void setLocation(java.lang.String location)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the location. Specifies the physical address corresponding to the location of a component. For example, hostname, IP address, or VTAM LU. The format of the value of the location is specified by the locationType property. The preferred value is a fully qualified hostname. This value should be unique within the network capable of raising events to a specified receiver. For example, if an adapter were monitoring a router, this attribute would contain the IP address of the machine where the adapter resides, not the IP address of the router that is having the problem. This is a REQUIRED property. The maximum string length for location MUST not exceed 255 bytes.

  Specified by:
    `setLocation` in interface `IComponentIdentification`
  Parameters:
    `location` - The location to set
  See Also:
    `IComponentIdentification.setLocation(String)`

### setLocationType

    public void setLocationType(java.lang.String locationType)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the locationType. Specifies the format and meaning of the value in the location property. The well-known reserved keywords for this property are: 1. Unknown 2. IPV4 3. IPV6 4. NWA 5. ISDN 6. ICD 7. OID/OSI 8. Dial 9. HWA 10. HID 11. X25 12. DCC 13. SNA 14. IPX 15. E.164 16. Hostname 17. FQHostname 18. Devicename This is a REQUIRED property. The maximum string length for locationType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Specified by:
    `setLocationType` in interface `IComponentIdentification`
  Parameters:
    `locationType` - The locationType to set
  See Also:
    `IComponentIdentification.setLocationType(String)`

### setProcessId

    public void setProcessId(java.lang.String processId)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the processId. This property identifies the process ID of the running component or subcomponent that generated the event. This is an OPTIONAL property and there is no default value. The maximum string length for processId MUST not exceed 64 bytes.

  Specified by:
    `setProcessId` in interface `IComponentIdentification`
  Parameters:
    `processId` - The processId to set
  See Also:
    `IComponentIdentification.setProcessId(String)`

### setSubComponent

    public void setSubComponent(java.lang.String subComponent)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the subComponent. Specifies a further delineation for the logical component property of the event. It SHOULD contain the identity of the subcomponent of the component property. This property can be one of the various parts of an application or OS resource e.g., a module name, a class name, a class and method name. It should be the most granular definition specified in the event. The subcomponent version information may be appended to the end of the subcomponent separated by a # character. This is a REQUIRED property. The maximum string length for the subComponent name MUST not exceed 255 bytes.

  Specified by:
    `setSubComponent` in interface `IComponentIdentification`
  Parameters:
    `subComponent` - The subComponent to set
  See Also:
    `IComponentIdentification.setSubComponent(String)`

### setThreadId

    public void setThreadId(java.lang.String threadId)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the threadId. This property identifies the thread ID of the component or subcomponent that generated the event. This value changes with every new thread spawned by the process identified by the processId. This is an OPTIONAL property and there is no default value. The maximum string length for threadId MUST not exceed 64 bytes.

  Specified by:
    `setThreadId` in interface `IComponentIdentification`
  Parameters:
    `threadId` - The threadId to set
  See Also:
    `IComponentIdentification.setThreadId(String)`

### setComponentType

    public void setComponentType(java.lang.String componentType)

  Deprecated.
  Sets the componentType. The componentType is a well-defined name that is used to characterize all instances of a given kind of component. This property is REQUIRED property. The maximum string length for componentType MUST NOT exceed 512 characters.

  Specified by:
    `setComponentType` in interface `IComponentIdentification`
  Parameters:
    `componentType` - The componentType to be set.
  Since:
    1.0.1
  See Also:
    `IComponentIdentification.setComponentType(String)`

### setComponentIdType

    public void setComponentIdType(java.lang.String componentIdType)

  Deprecated.
  Description copied from interface: `IComponentIdentification`
  Sets the componentIdType. Specifies the format and meaning of the component identified by this componentIdentification. The nonexclusive reserved keywords for this property are: 1. ProductName 2. DeviceName 3. SystemName 4. ServiceName 5. Process 6. Application 7. Unknown This is a REQUIRED property. The maximum string length for componentIdType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Specified by:
    `setComponentIdType` in interface `IComponentIdentification`
  Parameters:
    `componentIdType` - The componentIdType to set
  See Also:
    `IComponentIdentification.setComponentIdType(String)`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `IComponentIdentification`
  See Also:
    `IComponentIdentification.init()`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different objects are equal.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Returns:
    Object
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD